3
votes
3answers
35 views

Centos rpm -qa vs yum list installed

I want to have server b to have exactly the same setup as server a. My plan is to have a list of all installed things on server a and install it by using the list on server b something like : yum ...
2
votes
1answer
34 views

rpm macros on CentOS 6.5

Trying to create a spec file for a CentOS 6.5 system. The rpm should check release to add specific Requires: lines based on the OS version....and it doesn't work at all: Spec file snippet: %if ...
1
vote
1answer
52 views

How to Resolve a .so Dependency

I have a package (.rpm) on CentOS 6.5 that requires a .so file, which I also have on my machine. When I attempt to install the package I get an error stating unresolved dependencies regarding the .so ...
2
votes
1answer
28 views

Create an RPM to distrubute custom SELinux policy

I have created two custom SELinux Policy modules to allow rsyslog to parse audit.log. Can I create an RPM of these two policies to distribute to 300+ clients? Is there a better way to go about this? ...
3
votes
1answer
52 views

Make RPM Satisfy Dependency Requirements of Other Installed Packages

So, I am installing a java app that I wrote which uses jnetpcap. This requires libpcap of at least v1.0.0. My CentOS 5.8 only has libpcap 0.9.4, which is required by other installed packages. I've ...
1
vote
1answer
212 views

Upgrading kernel 2.6.18 to 2.6.32 on CentOS 5.10

I've been looking on Google for 4 hours and I can't find a solution to my problem. I have a computer running CentOS 5.10 using Kernel 2.6.18-371.9.1.el5 and I would like to upgrade my kernel to ...
0
votes
1answer
848 views

CentOS GPG keys error

When running this on CentOS 6: yum update I accept the transaction summary that it presents and am then immediately presented with this: Downloading Packages: warning: rpmts_HdrFromFdno: Header V3 ...
0
votes
1answer
74 views

CentOS: what impact does a kernel update have?

When running this on CentOS 6: yum update I get this: --> Finished Dependency Resolution Error: Package: 2:irqbalance-1.0.4-6.el6.x86_64 (base) Requires: kernel >= 2.6.32-279 ...
0
votes
1answer
209 views

Cannot install Snort 2.9.6.1 due to “Not a compatible architecture”

I have Centos 6.5 installed on a Dell Inspirion Intel chip. When I entered uname -a I got Linux family.room 2.6.32-431.el6.i686 #1 SMP Fri Nov 22 00:26:36 UTC 2013 i686 i686 i386 GNU/Linux I ...
0
votes
0answers
98 views

Saxon rpm build fails due to “ant: command not found”

Hopefully this is a question I can ask this community. I'm currently working on building zookeeper-3.4.5-13 for a CentOS 5 environment. During this process I've been going down a long list of required ...
1
vote
1answer
265 views

Public key problem when installing ovirt on aws

I started an instance on AWS with centos 6.4. I ran the following two commands: $ yum localinstall http://resources.ovirt.org/releases/ovirt-release.noarch.rpm $ yum -y install ovirt-engine I got ...
0
votes
0answers
60 views

Centralized package management for RPM based distro

We have about 6 servers under Linux CentOS. And I want to have possibility to view (best will be some web-interface, but console-only useful too) outdated packages, which can be updated and have all ...
0
votes
1answer
78 views

Always getting “not a symbolic link” message, while installing any package

When I am installing any package in my centos 6.0 system, by yum or rpm, I always getting /sbin/ldconfig: /usr/lib64/libreadXMLnew.so.1 is not a symbolic link message. There is never a problem in ...
1
vote
3answers
92 views

Installing ack on cpanel

I need to install ack on an instance of whm/cpanel (I have root access as it is a VPS) but I have not found any information on how to do that. I tried to install it using the WHM RPM manager, but the ...
1
vote
1answer
81 views

What problems should I expect when adding a CentOS yum repository to RHEL?

I've added the CentOS 6 Updates yum repository to my RHEL 6.4 machine. That's because RHEL doesn't ship with the php-snmp package - and the easiest one to find is on the CentOS site. Anyways, this ...
1
vote
1answer
2k views

Uninstall JDK rpm to reinstall

Where do I find the JDK install to uninstall? @terdon had explained using an rpm type download so it would be easier to uninstall, but I cannot find it.
0
votes
1answer
51 views

Rebuilding RPM results in “invalid numeric value”

I am attempting to add some config changes to Bash and repackage it as an RPM in CentOS x86. This is not something I've done before, so I'm at the mercy of info I've found around the internet. I am ...
1
vote
0answers
42 views

rpmbuild library register for 'requires'

Big Picture: I am building an in-house rpm for a customized php. I build an rpm which works, but generate library requirements that I can't seem to meet without using 'nodeps', which I want to avoid ...
0
votes
1answer
172 views

How to rebuild /etc/cron.d on CentOS?

I installed an RPM on a CentOS machine that was supposed to merge its own files contained in a /etc/cron.d structure with the current /etc/cron.d. However it replaced the current contents. I believe ...
0
votes
1answer
474 views

Centos 6.4. building rpm for cups 1.7

I try to build rpm from source by running rpmbuild -ta cups-1.7.0-source.tar.gz --without dbus but get Processing files: cups-1.7.0-1.x86_64 error: File not found: ...
2
votes
3answers
84 views

How do I find out which RPM was used to install PHP?

I have PHP installed on a server and I'd like to know which RPM it was build off of (webtatic or remi). How do I find this out. Also, how would I find out if and when that changed?
1
vote
1answer
226 views

CentOS installation rpms 5.5 vs. 6.4

I am migrating from CentOS 5.5 to 6.4 and have a custom installation that installs specific RPMs. The problem I running into is that some RPMs from CentOS 5.5 are no longer in the 6.4 distribution, ...
1
vote
2answers
73 views

CentOS 6 and Fedora Repositories

I did a Google search and couldn't find the specific answer to my questions. I know CentOS and Fedora are extremely similar. Would a Fedora repository (i.e. ...
1
vote
1answer
640 views

Replacing libpng-devel (1.5.3) with libpng12-devel RPMs on CentOS

I have a CentOS 6.4 box with a lot of other RPMs. I want to replace libpng-devel with libpng12.devel. If I do an rpm -e libpng-devel I get the following: error: Failed dependencies: ...
3
votes
2answers
254 views

rpmbuild: Is there a way to specify recommended packages

So, search as I might, I can't find anything about specifying recommended packages in a spec file. I wouldn't even consider it possible if I hadn't seen it in the spec file for Mono 2.10.9. It reads ...
2
votes
2answers
119 views

rpmbuild: How can I 'Require' one package *or* another

So, I'm trying to fix a spec file right now for rpmbuild. On Suse, it looks like the X11 library development package is named "xorg-x11-libX11-devel" while on CentOS it seems to be named ...
-1
votes
1answer
245 views

unrar for centos 5.7 needs unrar-4.20-2.mga3.nonfree.x86_64.rpm which causes an error

I'm trying to install unrar package for my cpanel. as some people suggested that I need this package unrar-4.20-2.mga3.nonfree.x86_64.rpm . So when I run rpm -ivh unrar-4.20-2.mga3.nonfree.x86_64.rpm ...
2
votes
2answers
1k views

Requires: perl(Compress::Raw::Zlib) = 2.052

Im trying to run a yum update but getting stopped by dependencies. I have installed rpmforge el6 which i need for other packages. Error: Package: perl-IO-Compress-2.052-1.el6.rfx.noarch ...
2
votes
2answers
9k views

Error on application install: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

When I executed a command to install an application, the following error occurred /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory I was not aware on how to fix this problem. I ...
1
vote
1answer
111 views

Where can I find mailfromd RPM's for CentOS 6?

I have been trying to locate an RPM for GNU Mailfromd and it's dependencies and have been quite surprised to find it absolutely nowhere on the 'net. Only place I could find any RPM's were for ...
1
vote
2answers
307 views

Installing RPMS on Centos

Is generally installing standalone rpms considered 'dangerous'? Are these affected by any system upgrades, package upgrades etc.? How about dependencies and libraries?
1
vote
1answer
968 views

Why did yum-builddep not provide the dependencies to install my rpm?

I am trying to rum my rpm package but getting this dependencies error. [root@localhost ~]# rpm -ivh /root/x86_64/asterisk-1.8.12.2-1.fc15.x86_64.rpm error: Failed dependencies: ...
2
votes
2answers
256 views

Missing dependency during rpm install

When I install CodeAnalsyt, i get a failed dependency on libbfd-2.20.51 on Centos 6.3. Binutils is installed on my system and the failed dependency does exists at ...
1
vote
1answer
173 views

CentOS5, RHEL5, Java dependent Packages, Alternate JVM/JDK

Specifically regarding Java dependent packages, such as ant. Is it possible to install them via rpm, when using an alternate JVM/JDK? For example, If I install the Oracle JDK, can I use an ant ...
0
votes
1answer
2k views

64bit rpm can not resolve 32bit dependencies

Problem I'm having a RPM that contains mixed 64bit and 32bit binaries. One of the binaries depends on 32bit i686 packages. When I try to install the package yum gives me an error, noting that the ...
7
votes
3answers
919 views

Download ALL rpms for a product

I have two CentOS machines, one 6.3 box (A), and another CentOS 6.1. (B) 6.3 box is with internet connection, 6.1 box is without internet connection. I want to download ALL dependencies of a product ...
4
votes
1answer
917 views

CentOS 4.8 and glibc 2.5

How would I go about installing glibc 2.5 on CentOS 4.8? I know CentOS 4.8 has been EOL'd, which is all good and well. However, the environment that I am working in is using this version, and will ...
1
vote
1answer
758 views

httpd-devel requires outdated version of glibc-common on CentOS 6.3

httpd-devel requires an outdated version of glibc-common on CentOS 6.3 x86_64 and Apache/2.2.15. It wants 2.12-1.80.el6 and I have 2.12-1.80.el6_3.3.x86_64 installed (via CentOS @update repo) Here is ...
2
votes
1answer
6k views

/proc/sys/kernel/hung_task_timeout_secs error

I am building a CentOS 6.2 webserver on a Hyper-V Cluster and have hit a major issue. The current setup is this: Operating System: CentOS 6.2. Minimal Server Install Installed software includes: ...
1
vote
1answer
155 views

Is rpm the only file extension for repositories

I've noticed that repositories in CentOS have the .rpm extension. Are there other extensions? Is .rpm specific to the operating system? i.e. do other linux operating systems have other extensions? ...
1
vote
2answers
102 views

SSNiper SSN Scanner support

I work for a major university and we have a policy that requires annual scanning of all computers for social security numbers (SSNs). I started using a utility called SSNiper that was created at UIUC. ...
2
votes
1answer
461 views

How to migrate from CentOS to RHEL?

What packages do I need to install to migrate my CentOS 5.7 server to identical version of RHEL. I have RHN subscription but I don't want to create a fresh install and move files.
4
votes
2answers
7k views

CentOS yum repository bad Header V4 RSA/SHA1 signature

I was coping with many problems to get stuck with this one. I have installed yum repository on server (CentOS 5.6) with: createrepo -v -s sha yumrepo/ sha is used due to solution to my earlier ...
2
votes
1answer
614 views

How do you add a package (or a mirror?) if the .rpm you're looking for isn't available in your VM build of CentOS?

I have yum and rpm, and I really only know how to install packages using these commands. When I tried to yum install figlet on a new CentOS6 virtual machine it couldn't find it in the mirrors list. I ...
4
votes
2answers
4k views

How to install packages to a custom location in centos6

I have a shared location, let me call it /tp I want to install all my libraries and packages in this location just like the default install. Reason to do this is: I want all the users in the network ...
5
votes
2answers
5k views

How does createrepo work. How does yum understand parse its files. A conceptual explanation

I am not looking for a how-to on creating a repo (createrepo) or using yum. I want to understand how they work together. I want to know what files yum looks at and why, what those files contain. I ...
3
votes
6answers
6k views

Python 2.7 on CentOS 5

Are there any half-official repositories for CentOS 5 with Python 2.7? EPEL provides only Python 2.6
2
votes
2answers
2k views

How should I search for packages to install on CentOS 5.5?

Backstory: Recently, it was explained to me that to upgrade any package via terminal on a linux machine, I will need to use the distributions package management system to install or upgrade the ...
2
votes
1answer
657 views

Can rpm handle an install of another OS into another Logical Volume?

I am trying to install fedora as a domU under a CentOS dom0 using the method outlined in The Book of Xen. I have asked another question regarding a consistent error message of cpio: Bad magic when I ...
1
vote
2answers
2k views

Python library conflict with lower version

I am trying to reinstall yum in CentOS. Because I made some mistake by removing python. so I got error as follows There was a problem importing one of the Python modules required to run yum. The ...